%define cvsversion 5.1.90_20020411

Summary:	A GNU source-level debugger for C, C++ and other languages.
Name:		gdb
Version:	5.1.90CVS
Release:	1.3.0
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://sources.redhat.com/pub/gdb/snapshots/branch/gdb+dejagnu-%{cvsversion}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{release}-root
BuildRequires:	ncurses-devel glibc-devel gcc make gzip

%description
GDB, the GNU debugger, allows you to debug programs written in C, C++,
and other languages, by executing them in a controlled fashion and
printing their data.

%files
  %defattr(-,root,root)
  %doc COPYING COPYING.LIB README NEWS
  /usr/bin/*
  %{_mandir}/*/*
  %{_infodir}/gdb.info*
  %{_infodir}/stabs.info*
  %{_infodir}/mmalloc.info*

%prep
%setup -q -n gdb+dejagnu-%{cvsversion}
  rm -fr gdb/gdbserver
  cat > gdb/version.in << _FOO
EnGarde Secure Linux (%{version}-%{release})
_FOO

%build
  export CFLAGS="$RPM_OPT_FLAGS"
  rm -fr dejagnu tcl expect 
  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info \
	%{_arch}-engarde-linux

  make
  make info
  cp gdb/NEWS .

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall infodir=$RPM_BUILD_ROOT/${_infodir} prefix=$RPM_BUILD_ROOT/usr

  # The above is broken, do this for now:
  mkdir -p $RPM_BUILD_ROOT/%{_infodir}
  cp `find -name "*.info*"` $RPM_BUILD_ROOT/%{_infodir}

  rm -f $RPM_BUILD_ROOT%{_infodir}/dir $RPM_BUILD_ROOT%{_infodir}/dir.info* 

  # These are part of binutils
  rm -f $RPM_BUILD_ROOT%{_infodir}/bfd* $RPM_BUILD_ROOT%{_infodir}/standard*
  rm -rf $RPM_BUILD_ROOT/usr/include/  $RPM_BUILD_ROOT/usr/lib/lib{bfd*,opcodes*}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 18 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.85, Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
